Package org.drinkless.tdlib

# Class TdApi.SendPhoneNumberCode

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.AuthenticationCodeInfo>
org.drinkless.tdlib.TdApi.SendPhoneNumberCode

Enclosing class:
  `TdApi`

public static class TdApi.SendPhoneNumberCode extends TdApi.Function<TdApi.AuthenticationCodeInfo>
Sends a code to the specified phone number. Aborts previous phone number verification if there was one. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `phoneNumber`
  The phone number, in international format.
  `TdApi.PhoneNumberAuthenticationSettings`
  `settings`
  Settings for the authentication of the user's phone number; pass null to use default settings.
  `TdApi.PhoneNumberCodeType`
  `type`
  Type of the request for which the code is sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendPhoneNumberCode()`
  Default constructor for a function, which sends a code to the specified phone number.
  `SendPhoneNumberCode(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings, TdApi.PhoneNumberCodeType type)`
  Creates a function, which sends a code to the specified phone number.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### phoneNumber

    public String phoneNumber
    The phone number, in international format.

  - ### settings

    public TdApi.PhoneNumberAuthenticationSettings settings
    Settings for the authentication of the user's phone number; pass null to use default settings.

  - ### type

    public TdApi.PhoneNumberCodeType type
    Type of the request for which the code is sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendPhoneNumberCode

    public SendPhoneNumberCode()
    Default constructor for a function, which sends a code to the specified phone number. Aborts previous phone number verification if there was one. On success, returns information about the sent code.

    Returns `AuthenticationCodeInfo`

  - ### SendPhoneNumberCode

    public SendPhoneNumberCode(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings, TdApi.PhoneNumberCodeType type)
    Creates a function, which sends a code to the specified phone number. Aborts previous phone number verification if there was one. On success, returns information about the sent code.

    Returns `AuthenticationCodeInfo`

    Parameters:
      `phoneNumber` - The phone number, in international format.
      `settings` - Settings for the authentication of the user's phone number; pass null to use default settings.
      `type` - Type of the request for which the code is sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.AuthenticationCodeInfo>`
    Returns:
      this.CONSTRUCTOR